Subject: Re: [bug#40918] [PATCH] openjdk 14 package

From: Michael Zucchi <[email-masked]>
Date: Wed, 29 Apr 2020 09:17:22 +0930

On 29/4/20 8:08 am, Björn Höfling wrote:
> On Tue, 28 Apr 2020 10:56:55 +0930
> Michael Zucchi <[email-masked]> wrote:
>
>> This mostly is just a simple copy of openjdk12 with changed links.
>> openjdk13 is also included as it must be used to bootstrap openjdk14.
>>
>> openjdk14 uses "help" as a rather poor choice of autoconf test for
>> the availability of a shell builtin and this isn't available in
>> bash-minimal, so a small patch is needed to make configure complete.
>> I've contacted the openjdk developers with a suggested change but so
>> far have had no response after a couple of business days.
>>
>>
> Hi Michael,
>
> thank you for your patch.
>
> When sending in the second version of your
> patch, could you please split up the commits, having one distinct
> commit per added/changed package.
>
> Please update your commit message according to the Changelog-style. You
> will find examples in the old commit logs, for example for how to add
> the patch-file.
>
> Excited to see your second version,
>
> Björn
>

I'm sorry i don't understand your second point, i used emacs changelog 
mode to create the commit message.